package com.palmnest.dao.estateserve;

import java.util.List;

import com.palmnest.dao.GenericDao;
import com.palmnest.model.estateserve.VirtualAccount;

public interface VirtualAccountDao extends GenericDao<VirtualAccount, Long> {

	/**
	 * 获取企业账号
	 *
	 * @param virId
	 * @return
	 */
	public List<VirtualAccount> getVirAccountByVirId(int virId);

	/**
	 * 获取无效的企业账号
	 *
	 * @param virId
	 * @return
	 */
	public List<VirtualAccount> getVirAccountByVirIdIsEnable(int virId);

	/**
	 * 根据账号及密码查找账号
	 *
	 * @param account
	 * @param password
	 * @return
	 */
	public List<VirtualAccount> getVirAccountByAccount(String orgId, String account, String password);

	/**
	 * 获取企业账号(无效有效的)
	 *
	 * @param virId
	 * @return
	 */
	public List<VirtualAccount> getVirAccByVirId(int virId);
	
	public List<VirtualAccount> getVirAccByVirAndOrg(int virId,int orgId);

	VirtualAccount getVirtualAccountByName(String virAccount);
}
